// Timer.h: interface for the CTimer class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "TimeEquipSubState.h"
#include "DllDefines.h"

class MCCTRDLLCLASS CTimer : public CTimeEquipSubState
{
public:
    //  default constructor
    explicit CTimer(long lTimeOutInSec = 0);

    //  default destructor
    virtual ~CTimer();

    //  set time out in sec
    void SetTimeOutInSec(long lTimeOutInSec);

    //  is time out
    bool IsTimeOut();

private:
    long m_lTimeOutInSec; // time out in sec
};
